using System;

namespace VCommon.VOpenApi.VAspNetCore
{
    public class VFriendlyException : Exception
    {
        public int StatusCode { get; set; } = 400;

        public VFriendlyException(string message) : base(message)
        {
        }

        public VFriendlyException(string message, int statusCode) : base(message)
        {
            StatusCode = statusCode;
        }
    }
}